diff --git a/src/main/java/net/minecraft/client/Minecraft.java b/src/main/java/net/minecraft/client/Minecraft.java
index 80dc10273..9629d8876 100644
--- a/src/main/java/net/minecraft/client/Minecraft.java
+++ b/src/main/java/net/minecraft/client/Minecraft.java
@@ -26,6 +26,7 @@ import net.minecraft.client.gui.chat.ChatScreen;
 import net.minecraft.client.gui.chat.SleepScreenMP;
 import net.minecraft.client.gui.toasts.HudToastsElement;
 import net.minecraft.client.holiday.Holidays;
+import net.minecraft.client.world.chunk.provider.ChunkProviderStatic;
 import net.minecraft.core.achievement.Achievements;
 import net.minecraft.core.net.command.util.CommandHelper;
 import net.minecraft.core.util.helper.LoggedPrintStream;
@@ -39,7 +40,6 @@ import javax.swing.JOptionPane;
 
 import net.minecraft.client.gui.subtitles.SubtitleTracker;
 import net.minecraft.client.sound.SoundRepository;
-import net.minecraft.client.world.chunk.provider.ChunkProviderDynamic;
 import org.jetbrains.annotations.Nullable;
 
 import org.lwjgl.LWJGLException;
@@ -710,7 +710,7 @@ public class Minecraft
     @Override
     public IChunkProvider createChunkProvider(World world, IChunkLoader chunkLoader)
     {
-        return new ChunkProviderDynamic(world, chunkLoader, world.getWorldType().createChunkGenerator(world));
+        return new ChunkProviderStatic(world, chunkLoader, world.getWorldType().createChunkGenerator(world));
     }
 
     public static File getAppDir(String s)
@@ -1355,13 +1355,9 @@ public class Minecraft
         if(thePlayer != null)
         {
             IChunkProvider chunkProvider = theWorld.getChunkProvider();
-            if(chunkProvider instanceof ChunkProviderDynamic)
-            {
-                ChunkProviderDynamic chunkProviderDynamic = (ChunkProviderDynamic)chunkProvider;
-                int playerChunkX = MathHelper.floor_float((int)thePlayer.x) >> 4;
-                int playerChunkZ = MathHelper.floor_float((int)thePlayer.z) >> 4;
-                chunkProviderDynamic.setCurrentChunkOver(playerChunkX, playerChunkZ);
-            }
+            int playerChunkX = MathHelper.floor_float((int)thePlayer.x) >> 4;
+            int playerChunkZ = MathHelper.floor_float((int)thePlayer.z) >> 4;
+            chunkProvider.setCurrentChunkOver(playerChunkX, playerChunkZ);
         }
         if(!isGamePaused && theWorld != null)
         {
@@ -2266,13 +2262,9 @@ public class Minecraft
             }
             playerController.adjustPlayer(thePlayer);
             IChunkProvider ichunkprovider = world.getChunkProvider();
-            if(ichunkprovider instanceof ChunkProviderDynamic)
-            {
-                ChunkProviderDynamic chunkProviderDynamic = (ChunkProviderDynamic)ichunkprovider;
-                int i = MathHelper.floor_float((int)thePlayer.x) >> 4;
-                int j = MathHelper.floor_float((int)thePlayer.z) >> 4;
-                chunkProviderDynamic.setCurrentChunkOver(i, j);
-            }
+            int i = MathHelper.floor_float((int)thePlayer.x) >> 4;
+            int j = MathHelper.floor_float((int)thePlayer.z) >> 4;
+            ichunkprovider.setCurrentChunkOver(i, j);
             world.spawnPlayerWithLoadedChunks(thePlayer);
             if(world.isNewWorld)
             {
@@ -2357,11 +2349,7 @@ public class Minecraft
             chunkcoordinates.x = (int)thePlayer.x;
             chunkcoordinates.z = (int)thePlayer.z;
         }
-        if(ichunkprovider instanceof ChunkProviderDynamic)
-        {
-            ChunkProviderDynamic chunkProvider = (ChunkProviderDynamic)ichunkprovider;
-            chunkProvider.setCurrentChunkOver(Math.floorDiv(chunkcoordinates.x, Chunk.CHUNK_SIZE_X), Math.floorDiv(chunkcoordinates.z, Chunk.CHUNK_SIZE_Z));
-        }
+            ichunkprovider.setCurrentChunkOver(Math.floorDiv(chunkcoordinates.x, Chunk.CHUNK_SIZE_X), Math.floorDiv(chunkcoordinates.z, Chunk.CHUNK_SIZE_Z));
         for(int k = -c; k <= c; k += Chunk.CHUNK_SIZE_X)
         {
             for(int l = -c; l <= c; l += Chunk.CHUNK_SIZE_Z)
@@ -2430,11 +2418,7 @@ public class Minecraft
             canRespawnAtBed = false;
         }
         IChunkProvider ichunkprovider = theWorld.getChunkProvider();
-        if(ichunkprovider instanceof ChunkProviderDynamic)
-        {
-            ChunkProviderDynamic chunkProviderDynamic = (ChunkProviderDynamic)ichunkprovider;
-            chunkProviderDynamic.setCurrentChunkOver(bedSpawnCoordinates.x >> 4, bedSpawnCoordinates.z >> 4);
-        }
+        ichunkprovider.setCurrentChunkOver(bedSpawnCoordinates.x >> 4, bedSpawnCoordinates.z >> 4);
         theWorld.getRespawnLocation();
         theWorld.updateEntityList();
         int j = 0;
diff --git a/src/main/java/net/minecraft/client/render/WorldRenderer.java b/src/main/java/net/minecraft/client/render/WorldRenderer.java
index 019e5ecd4..82a9c600e 100644
--- a/src/main/java/net/minecraft/client/render/WorldRenderer.java
+++ b/src/main/java/net/minecraft/client/render/WorldRenderer.java
@@ -610,13 +610,9 @@ public class WorldRenderer
             double viewEntityX = activeEntity.xo + (activeEntity.x - activeEntity.xo) * (double)partialTicks;
             double viewEntityZ = activeEntity.zo + (activeEntity.z - activeEntity.zo) * (double)partialTicks;
             IChunkProvider iChunkProvider = mc.theWorld.getChunkProvider();
-            if(iChunkProvider instanceof ChunkProviderDynamic)
-            {
-                ChunkProviderDynamic ChunkProviderDynamic = (ChunkProviderDynamic)iChunkProvider;
-                int chunkX = MathHelper.floor_float((int)viewEntityX) >> 4;
-                int chunkZ = MathHelper.floor_float((int)viewEntityZ) >> 4;
-                ChunkProviderDynamic.setCurrentChunkOver(chunkX, chunkZ);
-            }
+            int chunkX = MathHelper.floor_float((int)viewEntityX) >> 4;
+            int chunkZ = MathHelper.floor_float((int)viewEntityZ) >> 4;
+            iChunkProvider.setCurrentChunkOver(chunkX, chunkZ);
         }
 
         fogManager.updateFogColor(partialTicks);
